# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

JAVA_PKG_IUSE="source doc"

inherit java-pkg-2 java-ant-2

DESCRIPTION="JPedal JBIG2 Image Decoder"
HOMEPAGE="http://sourceforge.net/projects/jpedaljbig2imag/"
SRC_URI="http://sourceforge.net/projects/jpedaljbig2imag/files/JPedal%20JBIG2%20Image%20Decoder/${PV}/jbig2_src_${PV}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 arm ~x86"
IUSE=""

RDEPEND=">=virtual/jre-1.7"
DEPEND=">=virtual/jdk-1.7
	app-arch/unzip"

S="${WORKDIR}"

java_prepare() {
	cp "${FILESDIR}"/build.* "${S}" || die
}

src_install() {
	java-pkg_dojar build/jbig2/dist/jbig2.jar

	use source && java-pkg_dosrc src/*

	use doc && java-pkg_dojavadoc build/jbig2/javadoc
}
