# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit versionator

MY_PV=$(replace_version_separator 3 '-'  )
MY_PVV=$(replace_version_separator 3 'beta' $MY_PV )
MY_PVM=$(get_version_component_range 1-2 )
MY_PVR=$(get_version_component_range 1-3 )

DESCRIPTION="A Perl script to synchronize a local directory tree and a remote FTP directory tree."
HOMEPAGE="http://ftpsync.sourceforge.net/"
SRC_URI="http://download.clazzes.org/ftpsync/ftpsync-${MY_PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""

RDEPEND="dev-lang/perl
	dev-perl/libwww-perl"

S="${WORKDIR}/ftpsync-${MY_PV}"

src_install() {
	dodoc changelog  Changes_1.00-1.3.04.txt License.txt ReadMe.txt ToDo.txt
	dobin ftpsync ftpsync-ssl
}
