# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

JAVA_PKG_IUSE="source doc"

inherit java-pkg-2 java-ant-2

DESCRIPTION="The basic runtime tools and interfaces for intarsys components."
HOMEPAGE="http://opensource.intarsys.de/"
SRC_URI="mirror://sourceforge/swtswing/SWTSwing-${PV//./-}.zip "

LICENSE="ECL"
SLOT="3.2"
KEYWORDS="amd64 arm x86"
IUSE=""

RDEPEND=">=virtual/jre-1.6"
DEPEND=">=virtual/jdk-1.6
	app-arch/unzip"

S="${WORKDIR}"

java_prepare() {
	cp "${FILESDIR}"/build.* "${S}" || die
}

src_install() {
	java-pkg_dojar build/swtswing/dist/swtswing.jar

	use source && java-pkg_dosrc src/*

	use doc && java-pkg_dojavadoc build/swtswing/javadoc
}
