# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit eutils unpacker user pam

DESCRIPTION="OpenVPN Access Server"
HOMEPAGE="https://openvpn.net/index.php/access-server/overview.html"

SRC_URI="amd64? ( http://swupdate.openvpn.org/as/openvpn-as-${PV}-Ubuntu14.amd_64.deb )
	x86? ( http://swupdate.openvpn.org/as/openvpn-as-${PV}-Ubuntu14.i386.deb )"

LICENSE=""

SLOT="0"

KEYWORDS="~x86 ~amd64"

IUSE=""

RESTRICT="strip mirror test"

DEPEND=""
RDEPEND="${DEPEND}"

#QA_TEXTRELS="opt/${PN}/$(get_libdir)/${PN}/*
#        opt/${PN}/$(get_libdir)/libNeroAPI.so"
#QA_EXECSTACK="opt/${PN}/$(get_libdir)/nero/*"
#QA_PREBUILT="opt/${PN}/${PN}.*
#        opt/${PN}/${PN}
#        opt/${PN}/$(get_libdir)/.*so
#        opt/${PN}/$(get_libdir)/${PN}/*
#        opt/${PN}/$(get_libdir)/${PN}/plug-ins/*
#        usr/share/${PN}/helpers/splash/nerosplash"

S=${WORKDIR}

pkg_setup() {
        enewgroup openvpn_as
        enewuser openvpn_as -1 -1 -1 openvpn_as
}


src_unpack() {
	unpack_deb ${A}
}

src_prepare() {
	epatch "${FILESDIR}/gentoo-specific.patch"
}

src_install() {
	dodir /usr/local/openvpn_as
	cp -aR usr/local/openvpn_as/* "${D}/usr/local/openvpn_as"
	dodir /usr/bin
	dosym /usr/local/openvpn_as/bin/ovpn-init /usr/bin/ovpn-init
	newinitd "${FILESDIR}/openvpnas.initd" "openvpnas"
	newpamd "${FILESDIR}/openvpnas.pamd" "openvpnas"
}

